Bug 1170856 - gnu-free-fonts fails to build with fontforge update
gnu-free-fonts fails to build with fontforge update
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Other
Leap 15.2
Other Other
: P2 - High : Normal (vote)
: ---
Assigned To: Petr Gajdos
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-29 17:01 UTC by Max Lin
Modified: 2020-07-15 16:15 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Max Lin 2020-04-29 17:01:01 UTC
gnu-free-fonts started fails to build after staged with fontforge update[1] from SLE. Note that, gnu-free-fonts was from SLE also, the fix need submit to SLE.

[   38s] + make -j4 ttf
[   38s] make[1]: Entering directory '/home/abuild/rpmbuild/BUILD/freefont-20120503/sfd'
[   38s] FontForge program is required to build FreeFont
[   38s] make[1]: *** [Makefile:26: FreeMonoBold.ttf] Error 1
[   38s] make[1]: *** Waiting for unfinished jobs....
[   38s] FontForge program is required to build FreeFont
[   38s] make[1]: *** [Makefile:26: FreeMonoOblique.ttf] Error 1
[   38s] FontForge program is required to build FreeFont
[   38s] make[1]: *** [Makefile:26: FreeMonoBoldOblique.ttf] Error 1
[   38s] FontForge program is required to build FreeFont
[   38s] make[1]: *** [Makefile:26: FreeMono.ttf] Error 1
[   38s] make[1]: Leaving directory '/home/abuild/rpmbuild/BUILD/freefont-20120503/sfd'
[   38s] make: *** [Makefile:23: ttf] Error 2
[   38s] error: Bad exit status from /var/tmp/rpm-tmp.uWAPeK (%build)

[1] https://build.opensuse.org/request/show/796680
Comment 2 Petr Gajdos 2020-06-05 07:23:50 UTC
Fixed in maintenance request #811672.
Comment 4 OBSbugzilla Bot 2020-06-08 11:40:07 UTC
This is an autogenerated message for OBS integration:
This bug (1170856) was mentioned in
https://build.opensuse.org/request/show/812554 15.2 / gnu-free-fonts
Comment 5 Swamp Workflow Management 2020-06-23 13:15:53 UTC
SUSE-RU-2020:1707-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1170856
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    gnu-free-fonts-0.20120503-4.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2020-06-26 16:13:27 UTC
openSUSE-RU-2020:0868-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1170856
CVE References: 
Sources used:
openSUSE Leap 15.1 (src):    gnu-free-fonts-0.20120503-lp151.4.3.1
Comment 7 Swamp Workflow Management 2020-07-15 16:15:56 UTC
SUSE-RU-2020:1707-2: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1170856
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    gnu-free-fonts-0.20120503-4.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.